[Galaxy j5 2015 jnlte] impossible to flash (oct 2020)

[EN][FR bellow]
Hello, @Julien and I tried without success to flash a Samsung Galaxy J5 from 2015 last weekend and we stumbled upon several problems :

  • First thing is that the two latest TWRP wouldn’t boot on this particular device. We had to install the last bootable one which was the 3.1.1.1
  • Second problem : no /e/ ROM (tried each and every available build) nor to other (lineageOS unofficial and aosp experience from xda dev) would install. The same error code would pop each time : “ E3004: This package is for device: j5nlte, j5nltexx : this device is . ”. I tried the solution from this post but withoud success. The zip file was somehow not compatible with TWRP after modifying it.

E-Team any idea on what happened or a possible solution ?

[FR]
@Julien et moi avons essayé de flasher un Samsung Galaxy J5 2015 (jlnlte) le weekend dernier sans succès. Nous avons rencontré plusieurs problèmes

  • le premier : les deux denrières Recovery (TWRP 3.3 et 3.4) ne bootait pas sur ce téléphone. nous avons du utiliser une version plus ancienne (la plus récente qui fonctionne est la 3.1.1.1)
  • Le second : aucune ROM que nous avons essayé n’a voulu s’installer sur les deux recovery que nous avons essayé (3.1). nous avons butté sur l’erreur “ E3004: This package is for device: j5nlte, j5nltexx : this device is . ”. J’ai essayé de suivre la solution de ce post mais sans succès. le zip ainsi créé était reconnu comme corrompu, ou non compatible avec la procédure adb sideload (selon la méthode essayée pour l’installation de la ROM)
    L’équipe /e/, avez vous une idée de ce qui se passe ou d’une solution ?
1 Like

Hello,

I own the Galaxy J5 2015 (j5nlte).

I can confirm than using an old version of TWRP is causing the error 7 E3004.

I use the 3.3.1 version of TWRP and it’s working perfectly.

mhh, I must have missed this one, I was pretty sure to have tested every TWRP. Anyway, that’s great news. May I ask you what version of /e/ are you running ?

(the 0.11 version made on August, 30th has an issue (due to a bug at this time in the build process) and Maps, PDF Viewer, LibreOffice Viewer are missing.)

@Anonyme thank you.

@Julien Est-ce que tu as le contact de Myriam pour lui passer le lien de ce post ?

Merci beaucoup @sydneyb et @Anonyme oui je vais passer le lien à Myriam, elle pourra s’inscrire à la prochaine flash party ! :blush:

Hi @Anonyme
Is there a chance that your build move to official servers? I read the advantages of your build compare to the official one however the user we try to help is not an IT so if we flash it she may prefer to use an official to have a chance to receive the new version.
cheers :wave:

For now the j5nlte is on the list of devices to drop so no.

Yes if the person wants OTA updates (furthermore I wasn’t able to build regular updates like I said), it’s better to flash the official Oreo version.

same problem here. did you find a way to get adb sideload work?
Thanks jens

EDIT: Okay i got sideload work by editing like this howto:


But reboot in system does not boot. :frowning:

Hi everybody,

I have exactly the same problem … and no way to fix this issue yet !

Fred

What issue are you talking about ?